#
# spec file for package sensors (Version 2.6.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         sensors
Version:      2.6.0
Release:      40
Summary:      Hardware health monitoring for Linux
Copyright:   1995-1999 Simon G. Vogl, Mark D. Studebaker, Philip Edelbrock Frodo Looijaard, Kysti Mlkki, Fons Rademakers, Geert Uytterhoeven
Group:       Utilities/System
Requires:    modules
Autoreqprov: on
Source0: lm_sensors-2.6.0.tar.bz2
Source1: README.SuSE
Source2: i2c-2.6.0.tar.bz2
Patch:   lm_sensors-2.6.0.dif

%description
This package includes the programs to show the data of some
sensor chips.  The interface /proc/bus/i2c/ is provided by loading
kernel modules.  Which modules should been loaded can be
interactively detected as root by calling /usr/sbin/sensors-detect.
The default configuration in /etc/sensors.conf should be
changed to fit the actual circumstances of the mainboard.

Authors:
--------
    Simon G. Vogl <simon@tk.uni-linz.ac.at>
    Mark D. Studebaker <mds@eng.paradyne.com>
    Philip Edelbrock <phil@netroedge.com>
    Kysti Mlkki <kmalkki@cc.hut.fi>
    Fons Rademakers <Fons.Rademakers@cern.ch>
    Frodo Looijaard <frodol@dds.nl>
    Geert Uytterhoeven <geert@linux-m68k.org>

SuSE series: ap

%prep
%setup -n lm_sensors-%{version} -a 2
ln -sf i2c-2.6.0/kernel linux
%patch

%build
    make

%install
    test -d lm_sensors2/ && cd lm_sensors2/
    make install
    cd doc/
	mkdir -p			%{_docdir}/sensors
	cp -a FAQ			%{_docdir}/sensors/
	cp -a modules			%{_docdir}/sensors/
	cp -a busses/			%{_docdir}/sensors/
	cp -a temperature-sensors	%{_docdir}/sensors/
	cp -a useful_addresses.html	%{_docdir}/sensors/
	cp -a chips/			%{_docdir}/sensors/
	chown -R root:root		%{_docdir}/sensors/
	chmod -R u+rwX,g+rX,o+rX	%{_docdir}/sensors/
    cd ../
    cp ${RPM_SOURCE_DIR}/README.SuSE	%{_docdir}/sensors/
    chmod 0755 /usr/lib/libsensors.so.*

%files
%config(noreplace) /etc/sensors.conf
/usr/bin/sensors
%doc %{_docdir}/sensors/
/usr/include/sensors/
/usr/lib/libsensors.a
/usr/lib/libsensors.so
/usr/lib/libsensors.so.1
/usr/lib/libsensors.so.1.2.0
/usr/sbin/sensors-detect
%doc /usr/share/man/man1/sensors.1.gz
%doc /usr/share/man/man3/libsensors.3.gz
%doc /usr/share/man/man5/sensors.conf.5.gz

%changelog -n sensors
* Mon Aug 06 2001 - uli@suse.de
- fixed to build on PPC
* Wed Jul 04 2001 - werner@suse.de
- update to 2.6.0
* Mon Apr 16 2001 - werner@suse.de
- update to 2.5.5
* Thu Apr 05 2001 - uli@suse.de
- removed lx_suse from neededforbuild
* Thu Dec 14 2000 - werner@suse.de
- Group tag
* Mon Jun 19 2000 - ro@suse.de
- update to 2.5.0
* Wed Jun 07 2000 - uli@suse.de
- moved docs to %%{_docdir}
* Fri Feb 11 2000 - ro@suse.de
- removed requires kernmod (package eliminated)
* Wed Feb 02 2000 - werner@suse.de
- No asm/io.h if sys/io.h is included
* Wed Feb 02 2000 - werner@suse.de
- No sys/perm.h or sys/io.h on ppc and sparc
* Tue Feb 01 2000 - werner@suse.de
- New package sensors (version 2.4.3 corresponds with
  current used kernel i2c patch)
- Prefix is /usr, mandir is /usr/share/man, and kernel
  includes i2c
- Be reentrant
- Use RPM_OPT_FLAGS
- Install docs of busses, chips and the FAQ
